//	包含用户消息响应函数声明的头文件
#if !defined(_FUNCDEF)
#define _FUNCDEF

//	TODO:	声明用户自定义的消息响应函数
extern int AppGenerateGrooveByTwoEdge(int &step,int &flag);
extern int AppGenerateGrooveByOneEdge(int &step,int &flag);
extern int AppGenerateHoleByTwoEdge(int &step,int &flag);
extern int AppGenerateHoleByOneEdge(int &step,int &flag);
extern int AppGenerateGrooveOnEndSurface(int &step,int &flag);
extern int AppGenerateGrooveOnMid(int &step,int &flag);
extern int AppGenerateArcGrooveOnMid(int &step,int &flag);
extern int AppGenerateGrooveOnAxisEnd(int &step,int &flag);
extern int AppGenerateGrooveOnAxisMid(int &step,int &flag);
extern int AppGenerateArcGrooveOnAxisMid(int &step,int &flag);
extern int AppGenerateAngGrooveOnAxisMid(int &step,int &flag);

#endif
